AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.IO
SocketConnection Class
SocketConnection Methods
Close Method
ReadLine Method
Write Method
WriteEx Method

| SocketConnection ReadLine Method

Reads a line of text from the socket connection. The current thread is blocked until either the next line is received or an IOException encounters.

Namespace: AsterNET.IO
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string ReadLine()

    Public Function ReadLine As String

    public:
    String^ ReadLine()

    member ReadLine : unit -> string

#### Return Value

Type: String
the line of text received excluding any newline character
See Also

#### Reference

SocketConnection Class
AsterNET.IO Namespace